uniform sampler2D 	tex;
varying vec2	t1,t2,t3,t4,t5,t6;
varying vec2	t0;

void main()
{
	float 	depth;
	
	depth=texture2D(tex, t0).r;
	depth=max(depth,texture2D(tex, t1.xy).r);
	depth=max(depth,texture2D(tex, t2.xy).r);
	depth=max(depth,texture2D(tex, t3.xy).r);
	depth=max(depth,texture2D(tex, t4.xy).r);	
	depth=max(depth,texture2D(tex, t5.xy).r);
	depth=max(depth,texture2D(tex, t6.xy).r);	
	gl_FragDepth =  depth;
}